package com.yaoyicloud.config;

import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.HashMap;
import java.util.Map;

public class SessionInterceptor implements HandlerInterceptor {

    private static final Map<String, HttpSession> SESSION_MAP = new HashMap<>();

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)
        throws Exception {
        String relationId = request.getParameter("relationId");
        String mysession = request.getHeader("X-Session-Id");
        if (mysession == null) {
            HttpSession session = request.getSession(true);
            SESSION_MAP.put(relationId, session);
        }
        return true;
    }

    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler,
        ModelAndView modelAndView) throws Exception {
        // 这里可以添加请求处理后的逻辑，目前示例中没有具体操作
    }

    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex)
        throws Exception {
        // 这里可以添加请求完成后的逻辑，目前示例中没有具体操作
    }

}
